> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Register enrollment credential

> Registers a FIDO credential for the enrollment.



## OpenAPI

````yaml api-reference/banking-api/receivables/biometrics/openapi.json POST /biometrics/enrollments/{enrollment_id}/register
openapi: 3.0.0
info:
  title: Trio Biometrics API
  version: 0.1.0
servers:
  - url: http://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /biometrics/enrollments/{enrollment_id}/register:
    post:
      tags:
        - biometrics
      summary: Register FIDO biometrics for enrollment
      description: Registers a FIDO credential for the enrollment.
      operationId: TrioInitiationWeb.Biometrics.EnrollmentController.register
      parameters:
        - description: Enrollment ID
          in: path
          name: enrollment_id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FIDO_attestation_parameters'
        description: FIDO attestation
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Enrollment_response'
          description: Enrollment
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    FIDO_attestation_parameters:
      description: FIDO attestation for registering biometrics
      example:
        fido_assertion:
          id: credential_id_example
          raw_id: raw_credential_id_example
          response:
            attestation_object: attestation_object_example
            client_data_JSON: client_data_json_example
          type: public-key
      properties:
        fido_assertion:
          $ref: '#/components/schemas/FIDO_attestation'
      required:
        - fido_assertion
      title: FIDO_attestation_parameters
      type: object
    Enrollment_response:
      description: Response schema for a biometrics enrollment
      example:
        data:
          account_info:
            branch: '0001'
            digit: '6'
            ispb: '12345678'
            name: John Doe
            number: '12345'
            tax_number: '12345678901'
            type: checking
          device_id: 019f9fbf-2cd6-2659-0db8-5af4bb657392
          expiration_datetime: '2026-08-26T00:00:00Z'
          external_id: external_id_example
          id: 019f9fbf-2cd6-3625-7a85-9832c5787c32
          inserted_at: '2026-07-26T00:00:00Z'
          participant_id: 019f9fbf-2cd6-5fa6-c1d7-1e367f8ef4fe
          redirect_url: http://teste.com
          status: awaiting_enrollment
          updated_at: '2026-07-26T00:00:00Z'
      properties:
        data:
          $ref: '#/components/schemas/Enrollment'
      title: Enrollment_response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    FIDO_attestation:
      description: FIDO attestation credential object
      type: object
      required:
        - id
        - raw_id
        - response
        - type
      properties:
        id:
          description: Credential ID
          type: string
        raw_id:
          description: Raw credential ID
          type: string
        response:
          $ref: '#/components/schemas/FIDO_attestation_response'
        type:
          description: Credential type
          type: string
    Enrollment:
      description: A biometrics enrollment
      example:
        device_id: 019f9fbf-2cb3-fd23-8e3e-05ab526f484e
        expiration_datetime: '2026-08-26T00:00:00Z'
        external_id: external_id_example
        id: 019f9fbf-2cb3-3924-4e1b-67a839a86c83
        inserted_at: '2026-07-26T00:00:00Z'
        participant_id: 019f9fbf-2cb3-63d1-5f56-6472a1eb9c8b
        redirect_url: http://teste.com
        status: awaiting_enrollment
        updated_at: '2026-07-26T00:00:00Z'
      properties:
        device_id:
          description: Device ID
          format: uuid
          type: string
        expiration_datetime:
          description: Expiration datetime
          format: date-time
          nullable: true
          type: string
        external_id:
          description: External ID
          nullable: true
          type: string
        id:
          description: Enrollment ID
          format: uuid
          type: string
        inserted_at:
          description: Created at
          format: date-time
          type: string
        participant_id:
          description: Participant ID
          format: uuid
          type: string
        redirect_url:
          description: Redirect URL
          nullable: true
          type: string
        status:
          description: Enrollment status
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Enrollment
      type: object
    FIDO_attestation_response:
      description: FIDO attestation response data
      type: object
      required:
        - attestation_object
        - client_data_JSON
      properties:
        attestation_object:
          description: Attestation object
          type: string
        client_data_JSON:
          description: Client data JSON
          type: string

````